> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List quota limit requests

> Retrieve quota limit requests from your reseller clients.
Filter by client ID or request status to find specific requests.
Use this endpoint to review pending requests before approval or rejection.



## OpenAPI

````yaml /api-reference/services_documented/cloud_reseller_api.yaml get /cloud/reseller/v1/limits_request
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Cloud Reseller Quotas
    x-displayName: Cloud Reseller Quotas
paths:
  /cloud/reseller/v1/limits_request:
    get:
      tags:
        - Cloud Reseller Quotas
      summary: List quota limit requests
      description: >-
        Retrieve quota limit requests from your reseller clients.

        Filter by client ID or request status to find specific requests.

        Use this endpoint to review pending requests before approval or
        rejection.
      operationId: ResellerLimitRequestsCollection.get
      parameters:
        - in: query
          name: client_id
          required: false
          description: >-
            Filter requests by specific client ID. Omit to see requests from all
            your reseller clients.
          schema:
            description: >-
              Filter requests by specific client ID. Omit to see requests from
              all your reseller clients.
            example: 123
            examples:
              - 123
            title: Client Id
            type: integer
        - in: query
          name: limit
          required: false
          description: Limit the number of returned items
          schema:
            default: 1000
            description: Limit the number of returned items
            example: 1000
            examples:
              - 1000
            exclusiveMinimum: 0
            maximum: 1000
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          description: >-
            Offset value is used to exclude the first set of records from the
            result
          schema:
            default: 0
            description: >-
              Offset value is used to exclude the first set of records from the
              result
            example: 0
            examples:
              - 0
            minimum: 0
            title: Offset
            type: integer
        - in: query
          name: status
          required: false
          description: List of limit requests statuses for filtering
          schema:
            description: List of limit requests statuses for filtering
            example:
              - done
              - in progress
            examples:
              - - done
                - in progress
            items:
              $ref: '#/components/schemas/LimitsRequestStatus'
            title: Status
            type: array
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResellerLimitsRequestCollectionSerializer'
components:
  schemas:
    LimitsRequestStatus:
      enum:
        - done
        - in progress
        - rejected
      title: LimitsRequestStatus
      type: string
    ResellerLimitsRequestCollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/ResellerLimitsRequestSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: ResellerLimitsRequestCollectionSerializer
      type: object
    ResellerLimitsRequestSerializer:
      properties:
        client_id:
          description: Client ID
          example: 1
          examples:
            - 1
          title: Client Id
          type: integer
        created_at:
          description: Datetime when the request was created.
          example: '2019-07-26T13:25:03Z'
          examples:
            - '2019-07-26T13:25:03Z'
          format: date-time
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: Describe the reason, in general terms.
          examples:
            - Scale up mysql cluster
          title: Description
        id:
          description: Request ID
          example: 1
          examples:
            - 1
          title: Id
          type: integer
        requested_limits:
          $ref: '#/components/schemas/AllClientQuotasLimitsSerializer'
          description: Requested limits.
        status:
          description: Request status
          example: in progress
          examples:
            - in progress
          title: Status
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Datetime when the request was updated.
          examples:
            - '2019-07-26T13:25:03Z'
          title: Updated At
      required:
        - id
        - client_id
        - requested_limits
        - description
        - status
        - created_at
        - updated_at
      title: ResellerLimitsRequestSerializer
      type: object
    AllClientQuotasLimitsSerializer:
      properties:
        global_limits:
          $ref: '#/components/schemas/CreateGlobalQuotasLimitsSerializer'
          description: Global entity quota limits
        regional_limits:
          description: Regions and their quota limits
          items:
            $ref: '#/components/schemas/RegionalQuotasLimitsSerializer'
          title: Regional Limits
          type: array
      title: Global and regional quota limits of the client.
      type: object
    CreateGlobalQuotasLimitsSerializer:
      additionalProperties: false
      properties:
        inference_cpu_millicore_count_limit:
          description: Inference CPU millicore count limit
          example: 0
          examples:
            - 0
          title: Inference Cpu Millicore Count Limit
          type: integer
        inference_gpu_a100_count_limit:
          description: Inference GPU A100 Count limit
          example: 0
          examples:
            - 0
          title: Inference Gpu A100 Count Limit
          type: integer
        inference_gpu_h100_count_limit:
          description: Inference GPU H100 Count limit
          example: 0
          examples:
            - 0
          title: Inference Gpu H100 Count Limit
          type: integer
        inference_gpu_l40s_count_limit:
          description: Inference GPU L40s Count limit
          example: 0
          examples:
            - 0
          title: Inference Gpu L40S Count Limit
          type: integer
        inference_instance_count_limit:
          description: Inference instance count limit
          example: 0
          examples:
            - 0
          title: Inference Instance Count Limit
          type: integer
        keypair_count_limit:
          description: SSH Keys Count limit
          example: 100
          examples:
            - 100
          title: Keypair Count Limit
          type: integer
        project_count_limit:
          description: Projects Count limit
          example: 2
          examples:
            - 2
          title: Project Count Limit
          type: integer
      title: Scheme for create GlobalQuotaLimits
      type: object
    RegionalQuotasLimitsSerializer:
      additionalProperties: false
      properties:
        baremetal_basic_count_limit:
          description: Basic bare metal servers count limit
          example: 0
          examples:
            - 0
          title: Baremetal Basic Count Limit
          type: integer
        baremetal_gpu_a100_count_limit:
          description: Bare metal A100 GPU server count limit
          example: 0
          examples:
            - 0
          title: Baremetal Gpu A100 Count Limit
          type: integer
        baremetal_gpu_count_limit:
          deprecated: true
          description: >-
            Total number of AI GPU bare metal servers. This field is deprecated
            and is now always calculated automatically as the sum of
            `baremetal_gpu_a100_count_limit`, `baremetal_gpu_h100_count_limit`,
            `baremetal_gpu_h200_count_limit`, and
            `baremetal_gpu_l40s_count_limit`.
          example: 0
          examples:
            - 0
          title: Baremetal Gpu Count Limit
          type: integer
        baremetal_gpu_h100_count_limit:
          description: Bare metal H100 GPU server count limit
          example: 0
          examples:
            - 0
          title: Baremetal Gpu H100 Count Limit
          type: integer
        baremetal_gpu_h200_count_limit:
          description: Bare metal H200 GPU server count limit
          example: 0
          examples:
            - 0
          title: Baremetal Gpu H200 Count Limit
          type: integer
        baremetal_gpu_l40s_count_limit:
          description: Bare metal L40S GPU server count limit
          example: 0
          examples:
            - 0
          title: Baremetal Gpu L40S Count Limit
          type: integer
        baremetal_hf_count_limit:
          description: High-frequency bare metal servers count limit
          example: 0
          examples:
            - 0
          title: Baremetal Hf Count Limit
          type: integer
        baremetal_infrastructure_count_limit:
          description: Infrastructure bare metal servers count limit
          example: 0
          examples:
            - 0
          title: Baremetal Infrastructure Count Limit
          type: integer
        baremetal_network_count_limit:
          description: Bare metal Network Count limit
          example: 0
          examples:
            - 0
          title: Baremetal Network Count Limit
          type: integer
        baremetal_storage_count_limit:
          description: Storage bare metal servers count limit
          example: 0
          examples:
            - 0
          title: Baremetal Storage Count Limit
          type: integer
        caas_container_count_limit:
          description: Containers count limit
          example: 0
          examples:
            - 0
          title: Caas Container Count Limit
          type: integer
        caas_cpu_count_limit:
          description: mCPU count for containers limit
          example: 0
          examples:
            - 0
          title: Caas Cpu Count Limit
          type: integer
        caas_gpu_count_limit:
          description: Containers gpu count limit
          example: 0
          examples:
            - 0
          title: Caas Gpu Count Limit
          type: integer
        caas_ram_size_limit:
          description: MiB memory count for containers limit
          example: 0
          examples:
            - 0
          title: Caas Ram Size Limit
          type: integer
        cluster_count_limit:
          description: K8s clusters count limit
          example: 0
          examples:
            - 0
          title: Cluster Count Limit
          type: integer
        cpu_count_limit:
          description: vCPU Count limit
          example: 0
          examples:
            - 0
          title: Cpu Count Limit
          type: integer
        dbaas_postgres_cluster_count_limit:
          description: DBaaS cluster count limit
          example: 0
          examples:
            - 0
          title: Dbaas Postgres Cluster Count Limit
          type: integer
        external_ip_count_limit:
          description: External IP Count limit
          example: 0
          examples:
            - 0
          title: External Ip Count Limit
          type: integer
        faas_cpu_count_limit:
          description: mCPU count for functions limit
          example: 0
          examples:
            - 0
          title: Faas Cpu Count Limit
          type: integer
        faas_function_count_limit:
          description: Functions count limit
          example: 0
          examples:
            - 0
          title: Faas Function Count Limit
          type: integer
        faas_namespace_count_limit:
          description: Functions namespace count limit
          example: 0
          examples:
            - 0
          title: Faas Namespace Count Limit
          type: integer
        faas_ram_size_limit:
          description: MiB memory count for functions limit
          example: 0
          examples:
            - 0
          title: Faas Ram Size Limit
          type: integer
        firewall_count_limit:
          description: Firewalls Count limit
          example: 0
          examples:
            - 0
          title: Firewall Count Limit
          type: integer
        floating_count_limit:
          description: Floating IP Count limit
          example: 0
          examples:
            - 0
          title: Floating Count Limit
          type: integer
        gpu_count_limit:
          description: GPU Count limit
          example: 0
          examples:
            - 0
          title: Gpu Count Limit
          type: integer
        gpu_virtual_a100_count_limit:
          description: Virtual A100 GPU card count limit
          example: 0
          examples:
            - 0
          title: Gpu Virtual A100 Count Limit
          type: integer
        gpu_virtual_h100_count_limit:
          description: Virtual H100 GPU card count limit
          example: 0
          examples:
            - 0
          title: Gpu Virtual H100 Count Limit
          type: integer
        gpu_virtual_h200_count_limit:
          description: Virtual H200 GPU card count limit
          example: 0
          examples:
            - 0
          title: Gpu Virtual H200 Count Limit
          type: integer
        gpu_virtual_l40s_count_limit:
          description: Virtual L40S GPU card count limit
          example: 0
          examples:
            - 0
          title: Gpu Virtual L40S Count Limit
          type: integer
        image_count_limit:
          description: Images Count limit
          example: 0
          examples:
            - 0
          title: Image Count Limit
          type: integer
        image_size_limit:
          description: Images Size, bytes limit
          example: 0
          examples:
            - 0
          title: Image Size Limit
          type: integer
        ipu_count_limit:
          description: IPU Count limit
          example: 0
          examples:
            - 0
          title: Ipu Count Limit
          type: integer
        laas_topic_count_limit:
          description: LaaS Topics Count limit
          example: 0
          examples:
            - 0
          title: Laas Topic Count Limit
          type: integer
        loadbalancer_count_limit:
          description: Load Balancers Count limit
          example: 0
          examples:
            - 0
          title: Loadbalancer Count Limit
          type: integer
        network_count_limit:
          description: Networks Count limit
          example: 0
          examples:
            - 0
          title: Network Count Limit
          type: integer
        ram_limit:
          description: RAM Size, MiB limit
          example: 0
          examples:
            - 0
          title: Ram Limit
          type: integer
        region_id:
          description: Region ID
          example: 1
          examples:
            - 1
          title: Region Id
          type: integer
        registry_count_limit:
          description: Registries count limit
          example: 0
          examples:
            - 0
          title: Registry Count Limit
          type: integer
        registry_storage_limit:
          description: Registries volume usage, GiB limit
          example: 0
          examples:
            - 0
          title: Registry Storage Limit
          type: integer
        router_count_limit:
          description: Routers Count limit
          example: 0
          examples:
            - 0
          title: Router Count Limit
          type: integer
        secret_count_limit:
          description: Secret Count limit
          example: 0
          examples:
            - 0
          title: Secret Count Limit
          type: integer
        servergroup_count_limit:
          description: Placement Group Count limit
          example: 0
          examples:
            - 0
          title: Servergroup Count Limit
          type: integer
        sfs_count_limit:
          description: Shared file system Count limit
          example: 0
          examples:
            - 0
          title: Sfs Count Limit
          type: integer
        sfs_size_limit:
          description: Shared file system Size, GiB limit
          example: 0
          examples:
            - 0
          title: Sfs Size Limit
          type: integer
        shared_vm_count_limit:
          description: Basic VMs Count limit
          example: 0
          examples:
            - 0
          title: Shared Vm Count Limit
          type: integer
        snapshot_schedule_count_limit:
          description: Snapshot Schedules Count limit
          example: 0
          examples:
            - 0
          title: Snapshot Schedule Count Limit
          type: integer
        subnet_count_limit:
          description: Subnets Count limit
          example: 0
          examples:
            - 0
          title: Subnet Count Limit
          type: integer
        vm_count_limit:
          description: Instances Dedicated Count limit
          example: 0
          examples:
            - 0
          title: Vm Count Limit
          type: integer
        volume_count_limit:
          description: Volumes Count limit
          example: 0
          examples:
            - 0
          title: Volume Count Limit
          type: integer
        volume_size_limit:
          description: Volumes Size, GiB limit
          example: 0
          examples:
            - 0
          title: Volume Size Limit
          type: integer
        volume_snapshots_count_limit:
          description: Snapshots Count limit
          example: 0
          examples:
            - 0
          title: Volume Snapshots Count Limit
          type: integer
        volume_snapshots_size_limit:
          description: Snapshots Size, GiB limit
          example: 0
          examples:
            - 0
          title: Volume Snapshots Size Limit
          type: integer
      title: RegionalQuotasLimitsSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````